from fastapi import FastAPI
from fastapi.staticfiles import StaticFiles

from ghostforge.db import create_db_and_tables
from ghostforge.users import gf as gf_users

# from ghostforge.models import User

gf = FastAPI()
gf.mount("/static", StaticFiles(directory="ghostforge/static"), name="static")

gf.include_router(gf_users)


@gf.on_event("startup")
async def on_startup():
    await create_db_and_tables()
